summaryrefslogtreecommitdiff
path: root/qa/227
diff options
context:
space:
mode:
Diffstat (limited to 'qa/227')
-rwxr-xr-xqa/22735
1 files changed, 35 insertions, 0 deletions
diff --git a/qa/227 b/qa/227
new file mode 100755
index 0000000..9181d95
--- /dev/null
+++ b/qa/227
@@ -0,0 +1,35 @@
+#! /bin/sh
+# PCP QA Test No. 227
+# pmafm null input test
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+status=0
+trap "rm -f $tmp; exit \$status" 0 1 2 3 15
+
+# real QA test starts here
+cd src
+mkaf foo.0 >$tmp
+
+echo '/dev/null ...'
+pmafm $tmp </dev/null
+
+echo
+echo 'one blank line ...'
+echo '' | pmafm $tmp
+
+echo
+echo 'two blank lines, ?, two blank lines ...'
+echo '
+
+?
+
+' | pmafm $tmp